Page MenuHomePhabricator

Q4 Goal: Internal work on product design and development principles and process
Closed, InvalidPublic

Description

Essentially this is my part of T124022, chipping away at the tasks this quarter as part of a larger goal of a product development process.

This quarter:
T114321 Create Design/Development principles - Jan - holdover from last quarter's holiday season
T126296 Documented steps for engaging with communities in product stages - Feb
T118231 Proposal: any WMF software project willing to be prioritized requires a concept publicly available - Feb
T123611 Define good practices to start working on project concepts privately - Feb/first week of March
T120070 Checklist for project concepts to be considered for prioritization - Mar

And related subtasks.

Event Timeline

Keegan created this task.Dec 11 2015, 7:11 PM
Keegan claimed this task.
Keegan raised the priority of this task from to Medium.
Keegan updated the task description. (Show Details)
Keegan added subscribers: Aklapper, Keegan.
Keegan renamed this task from Q3 Goal: Internal work on design and development principles and process to Q3 Goal: Internal work on product design and development principles and process.Jan 19 2016, 6:41 PM
Keegan set Security to None.
Keegan updated the task description. (Show Details)Feb 9 2016, 12:42 AM
Keegan updated the task description. (Show Details)Feb 17 2016, 12:41 AM
Keegan updated the task description. (Show Details)Feb 17 2016, 12:47 AM
Keegan updated the task description. (Show Details)Mar 2 2016, 10:53 PM
Keegan changed the task status from Open to Stalled.Apr 5 2016, 8:02 PM

T118231 and T120070 require coordination with TPG, and that's up in the air. The other three tasks are done (T123611 just needs a home in the future, it's done).

Keegan renamed this task from Q3 Goal: Internal work on product design and development principles and process to Q4 Goal: Internal work on product design and development principles and process.Apr 5 2016, 8:03 PM
Qgil added a subscriber: Qgil.Jun 15 2016, 8:33 AM

T118231: Proposal: any WMF software project willing to be prioritized requires a concept publicly available could be morphed from proposal to recommendation and be merged with T120070: Recommendation for projects requesting prioritization or resources. That would help cleaning things a bit more, and moving forward with these ideas.

T137826: Recommendations for announcing new project proposals is still a separate task, which would recommend how those projects aiming to be prioritized should have been announced.

At this point this task is purely a sync point. Unless @Keegan finds it still useful, I think we could safely close it as Invalid. The open tasks mentioned are all scheduled in sprints. This way we would contribute to a bit more of cleaning.

Keegan closed this task as Invalid.Jun 15 2016, 5:00 PM

At this point this task is purely a sync point. Unless @Keegan finds it still useful, I think we could safely close it as Invalid. The open tasks mentioned are all scheduled in sprints. This way we would contribute to a bit more of cleaning.

Agreed. I was using it yesterday for just that purpose - to sync up old goals with new ones. Closing.